Package org.apache.sling.testing.mock.osgi.config

# Interface ConfigAnnotationUtil.ConfigTypePredicate

All Superinterfaces:
  `BiPredicate<Optional<ConfigType>,Class<?>>`

Enclosing class:
  `ConfigAnnotationUtil`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface ConfigAnnotationUtil.ConfigTypePredicate extends BiPredicate<Optional<ConfigType>,Class<?>>
Predicate for custom filtering of fully identified candidate annotations, accepting an `Optional` of `ConfigType` representing the parent annotation when present, and the `Class` of the effective config type.

## Method Summary

### Methods inherited from interface java.util.function.BiPredicate

`and, negate, or, test`